org.eclipse.viatra.query.runtime.extensibility

## Class SingletonExtensionFactory

- java.lang.Object
- - org.eclipse.viatra.query.runtime.extensibility.SingletonExtensionFactory

- All Implemented Interfaces:
    org.eclipse.core.runtime.IExecutableExtension, org.eclipse.core.runtime.IExecutableExtensionFactory
  Direct Known Subclasses:
    PQueryExtensionFactory

      public class SingletonExtensionFactory
      extends java.lang.Object
      implements org.eclipse.core.runtime.IExecutableExtension, org.eclipse.core.runtime.IExecutableExtensionFactory

  Factory to register a static singleton instance in an extension point.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonExtensionFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `create()`
    `protected org.osgi.framework.Bundle` | `getBundle()`
    `void` | `setInitializationData(org.eclipse.core.runtime.IConfigurationElement config, java.lang.String propertyName, java.lang.Object data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingletonExtensionFactory

          public SingletonExtensionFactory()

  - ### Method Detail

    - #### getBundle

          protected org.osgi.framework.Bundle getBundle()

    - #### create

          public java.lang.Object create()
                                  throws org.eclipse.core.runtime.CoreException

      Specified by:
        `create` in interface `org.eclipse.core.runtime.IExecutableExtensionFactory`
      Throws:
        `org.eclipse.core.runtime.CoreException`

    - #### setInitializationData

          public void setInitializationData(org.eclipse.core.runtime.IConfigurationElement config,
                                            java.lang.String propertyName,
                                            java.lang.Object data)
                                     throws org.eclipse.core.runtime.CoreException

      Specified by:
        `setInitializationData` in interface `org.eclipse.core.runtime.IExecutableExtension`
      Throws:
        `org.eclipse.core.runtime.CoreException`